%define prefix /usr
%define oname SiCuSys
%define name sicusys
%define longname Simple Current Systeminfo
%define version 1.4
%define release %mkrel 1
%define url http://www.liberainformatica.it/forum/forumdisplay.php?fid=25
%define group Monitoring
%define arch noarch

Name:		%{name}
Version:	%{version}
Release:	%{release}
License:	GPL
Group:		%{group}
URL:		%{url}
Source:		%{oname}-%{version}.tar.xz
Summary:	A simple way to get some info about your system!
Summary(de):	Einfacher Weg um Informationen über ihr System zu erhalten!
BuildRoot:	%{_tmppath}/%{name}-buildroot
BuildArch:	%{arch}
Requires:	gtkdialog, bash, xterm, cpufrequtils, inxi
Requires:       glibc >= 2.20
Requires:       libstdc++6 >= 4.9.2	
Obsoletes:	%oname < %version

%description
A simple way to get some info about your system!

Displayed:
Running Kernel
Desktop Enviroment
User
Screen Resolution
CPU
Free Disk Space
Memory Usage
File Space Usage

Update: added inxi -FxzMGS by single click!



#german
%description -l de
Ein einfacher Weg, um einige Informationen über Ihr System zu erhalten!

Zeigt an:
Laufenden Kernel
Desktop Umgebung
Benutzer
Bildschirmauflösung
CPU
Freien Speicherplatz

Update: hinzugefügt inxi -FxzMGS durch einfachen Klick!


%prep

%setup -q -n %{oname}-%{version}

%install
rm -rf $RPM_BUILD_ROOT

install -d -m 0755 $RPM_BUILD_ROOT%{_bindir}
cat > %{buildroot}%{_bindir}/%{name} << EOF
# simple launcher for %{name}
#
%{_datadir}/%{name}/%{name}
exit 0
EOF
%__chmod 777 $RPM_BUILD_ROOT%{_bindir}/%{name}

install -d -m 0755 %buildroot%_datadir/icons
install -m 0644 $RPM_BUILD_DIR/%{oname}-%{version}/icon/%{oname}.png %buildroot%_datadir/icons/%{name}.png

install -d -m 0755 %buildroot%_datadir/%{name}
cp -a $RPM_BUILD_DIR/%{oname}-%{version}/icon %{buildroot}%{_datadir}/%{name}/
install -m 0755 $RPM_BUILD_DIR/%{oname}-%{version}/%{name} %buildroot%_datadir/%{name}
install -m 0644 HISTORY.txt %buildroot%_datadir/%{name}

mkdir -p %{buildroot}%{_datadir}/locale/de/LC_MESSAGES
msgfmt -o  %{buildroot}%{_datadir}/locale/de/LC_MESSAGES/%{name}.mo $RPM_BUILD_DIR/%{oname}-%{version}/languages/%{name}-de_DE.po

mkdir -p %{buildroot}%{_datadir}/applications
cat > %{buildroot}%{_datadir}/applications/%{name}.desktop << EOF
[Desktop Entry]
Name=%{longname}
Name[de]=%{longname}
Comment=A simple way to get some info about your system!
Comment[de]=Ein einfacher Weg, um einige Informationen über Ihr System zu erhalten!
Exec=%{_datadir}/%{name}/%{name}
Icon=%{name}.png
Terminal=false
Type=Application
Categories=Infos;System;Monitor;
Encoding=UTF-8
EOF

%post
%{update_menus}
%{update_desktop_database}


%postun
%{clean_menus}
%{clean_desktop_database}

%files
%defattr(-,root,root)
%{_bindir}/%{name}
%{_datadir}/icons/%{name}.png
%{_datadir}/%{name}
%{_datadir}/%{name}/HISTORY.txt
%{_datadir}/locale/de/LC_MESSAGES/%{name}.mo
%{_datadir}/applications/%{name}.desktop
%doc COPYING README.txt
%clean
rm -rf %{buildroot}
rm -rf $RPM_BUILD_DIR/%{oname}-%{version}

%changelog
* Sun Jun 11 2017 adrianomorselli <adrianomorselli> 1.4-1uplos2017
- rebuild with Crystal Clear icon theme, not longer use system icons.
- add xsession-error output
